# Журнал изменений
Формат основан на  [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
и этот проект придерживается  [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 1.3.0 [Not released]
### 1.3.0-pre_dev5
### Добавлено
- Реализована интеграция с ГОССОПКА для отправки инцидентов[#996](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/995)
- Реализована настройка и отправка инцидентов в ГОСОПКА и список отправленных инцидентов [#996](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/996)
- Добавлена возможность настройки антивируса на Endpoint [MC-359](https://iwarma.atlassian.net/browse/MC-359)
- Добавлен фикс при загрузке правил сурикаты на ARMAIF [MC-4](https://iwarma.atlassian.net/browse/MC-4)
- Ошибка контроля целостности при синхронизации endpoint [MC-458](https://iwarma.atlassian.net/browse/MC-458)

### 1.3.0-dev5
- Добавлена настройка ротации на странице управления AMAIE [MC-10](https://iwarma.atlassian.net/browse/MC-10)
- Добавлена привилегия `can_download_rotation_files` [MC-113](https://iwarma.atlassian.net/browse/MC-113)
- Добавлена возможность смены своего пароля без прав [MC-356](https://iwarma.atlassian.net/browse/MC-356)
- Добавлена возможность просмотра списка групп корреляции без правила `can_edit_correlation_groups` [MC-110](https://iwarma.atlassian.net/browse/MC-110)

### 1.3.0-dev6
- Исправлено отображение блокировки пользователя с истекшей датой [MC-291](https://iwarma.atlassian.net/browse/MC-291)
- Добавлена фильтрация событий только антивируса при просмотре событий через меню настроки антивируса IE [MC-441](https://iwarma.atlassian.net/browse/MC-441)

# 1.3.0-dev8
- Исправлено отображение кнопку редактирования связанных источников для фаервола и эндпоинта без привилегии [#MC-122](https://iwarma.atlassian.net/browse/MC-122)

## [V3] - Не выпущено
### Добавлено
- Реализована система прав и наследование вложенных прав [#810](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/810)
- Добавлены заранее настроенные группы пользователей [#811](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/811)
- Отображение полей sid и rev на странице списка правил корреляции [#868](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/868)
- Добавить валидаторы пароля при создании пользователя [#827](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/827)
- Удаление всех источников событий при активации новой лицензии [#903](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/903)
- Добавить возможность ручной разблокировки пользователя в случае его блокировки [#826](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/826)
- Сделать API для страницы создания правила корреляции для React [#928](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/928)
- Добавлено сообщение подтверждения действия при смене IF в настройках правил коррелятора [#883](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/883)
- Переработан конфиг нормализации событий endpoint на vector [#763](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/763)
- Переработан конфиг нормализации событий fierwall на vector [#762](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/762)
- Добавлены отсутствующие права доступа к api и описание api и прав в openapi схеме [#233](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/233)

### Исправлено
- Ошибки локализации в Системах Защиты [#871](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/871)
- Параметр "ограничение попыток" может быть сохранен меньше нуля [#872](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/872)
- Локализация всплывающего сообщения в Системных настройках [#870](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/870)
- В лог celeryD.log пишется ошибка по работе автоматической карте сети [#799](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/799)
- Ошибки локализации на автоматической карте сети [#843](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/843)
- Некорректная обработка отсутствия индекса в списке событий [#699](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/699)
- Опечатки в Помощи в поиске по событиям [#839](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/839)
- Исправил формат вывода локального времени [#839](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/839)
- Привелегии блока Активы [#637](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/637)
- Не хватает ползунка в отчете об импорте [#787](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/787)
- Не парсится сообщение о нарушении контрольной суммы с Endpoint [#863](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/863)
- Создание дублирующий источник по порту [#844](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/844)
- Период буферизации событий в секундах [#856](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/856)
- Обновление конфигурации с endpoint [#864](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/864)
- Проблемы привилегий Систем защиты [#805](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/805)
- При удалении актива отсутствует Всплывающее сообщение об успешном удалении [#831](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/831)
- Пользователю доступно самостоятельно изменение "Даты окончания срока действия" [#878](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/878)
- Различное отображение событий в списке событий и в инциденте [#832](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/832)
- Исправлено создание источника при копировании endpoint если достигнуто максимальное значения порта [#880](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/880)
- Привилегии "Системные настройки" [#765](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/765)
- Не понятно прошла ли загрузка правил СОВ или нет [#874](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/874)
- Скаченная конфигурация не может быть загружена [#873](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/873)
- Удаление ssl сертификата и ключа в системных настройках [#897](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/897)
- Исправлено добавление ssl сертификатов и ключей в системных настройках[#900](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/900)
- Лишний пробел в столбце "Дата" списка событий [#858](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/858)
- Копирование Endpoint не обрабатывает ограничение по лицензии [#881](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/881)
- Привелегия "Может удалять автоматически созданные источники" не работает [#629](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/629)
- "Разростание" лога nginx.access.log по времени от количества Endpoint [#789](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/789)
- Добавление Admin в группу пользователей вызывает дублирование в назначении инцидента [#869](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/869)
- Требования к сложности пароля не работают при первоначальном создании пользователя [#710](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/710)
- Не появляется кнопка "Добавить" в источниках после удаления последнего источника [#820](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/820)
- Дублирование активов фаервола с одинаковым ip [#800](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/800)
- Удаление виджетов после изменения привилегий у пользователя [#627](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/627)
- На автоматической карте сети доступна кнопка "Редактировать актив" не взирая на отсутствие привилегий [#651](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/651)
- Доработка отображения времени [#922](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/922) 
- Переименовать названия некоторых прав доступа [#825](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/825)
- Отправка SYSLOG по TCP если он выбран в экспорте инцидентов [#912](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/912)
- Вывод ошибок при импорте правил корреляции с несуществующим IF [#885](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/885)
- Исправлен зум ниже средней полосы [#853](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/853)
- Расширенная информация о назначенном пользователе в заротированных инцидентах [#887](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/887)
- Не срабатывает правило корреляции с генерацией инцидентов если не указывать поле поиска [#879](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/879)
- Дубликат кнопок действий в списке источников событий [#940](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/940)
- Изменение названия Endpoint создает новый источник, который затем нельзя удалить [#888](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/888)
- Конвертировать число инпутов лицензии в INT [#551](https://gitlab.iwarma.ru/iwa/dev/console/core/-/merge_requests/551)
- Некорректное отображение имени файла фонового изображения [#812](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/812)
- Исправлены все тесты[#969](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/969)


### Добавлено
- Реализована система прав и наследование вложенных прав [#810](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/810)
- Добавлены заранее настроенные группы пользователей [#811](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/811)
- Отображение полей sid и rev на странице списка правил корреляции [#868](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/868)

## [1.1.0] - Не выпущено
## [1.1.0-rc21]
### Исправлено
- Ошибки локализации в списке Корреляции Часть 2 [#776](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/776)

## [1.1.0-rc20]
### Исправлено
- Дополнено взаимодействие Console-Endpoint device control для версии ARMAIE 2.3.4 [#901](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/901)
- Разбор сообщений от endpoint версии 2.3.4  [#739](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/739) 

## [1.1.0-rc19]
### Добавлено
- Разбор сообщений о USB от Endpoint [#739](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/739)
- Переделано взаимодействие Console-Endpoint device control [#901](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/901)


### Исправлено
- Теперь отключенное правило корреляции можно включать [#877](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/877)
- Исправлена локализация в справке импорта/экспорта правил корреляции [#776](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/776)
- Исправлена ошибка при создании endpoint в случае совпадения имени с источником события [#904](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/904)
- Разбор сообщений firewall [#895](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/895)
- Добавлена справка для ротации событий [#857](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/857)
- Исправлена ошибка когда не работает фильтр по протоколу UDP на автоматической карте сети [#821](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/821)
- Сортировка в списке инцидентов [#688](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/688)

## [1.1.0-rc18] - 11.10.2021
### Добавлено
- Реализовано требование о смене собственного пароля [#770](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/770)

### Исправлено
- Аналогичный метод редактирования источника событий для MC, как это сделано для IE [#860](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/860)
- Отображение фильтров по-умолчанию при загрузке страницы списка инцидентов [#688](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/688)
- Копирование Endpoint'а с источником и выбор порта для копии [#862](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/862)

## [1.1.0-rc17] - 08.11.2021
### Добавлено
- Отображение сообщения об ошибках удаления источника событий [#261](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/261)
- Аналогичный метод редактирования источника событий для MC, как это сделано для IE [#860](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/860)
- Отображение фильтров по-умолчанию при загрузке страницы списка инцидентов [#688](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/688)

### Исправлено
- После отключения TLS перестали работать виджеты [#775](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/775)
- Странный перевод Источников событий [#721] (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/721)
- Ошибка в сообщении при неверном вводе логина\пароля [#697](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/697)
- Жесткий фильтр Статуса на таблице активов [#728](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/728)
- Снятие и установка галочки "Создать источник" - очищает поле "Порт" [#746](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/746)
- Сортировка на странице правил корреляции при стандартной по столбцу status [#875](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/875)

## [1.1.0-rc16] - 25.10.2021
- Убран отладочный код из консоли браузера [#846](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/846)
- Исправлен поиск в Инцидентах для не суперпользователей [#797](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/797)
- Исправлена сериализация при экспорте правила корреляции по Действию Инциденты [#784](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/782)
- Исправлен баг когда при отсутствии фильтра "Отображать соседей" не отображаются соединения [#848](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/848)
- Исправлена проблема когда виджеты "Информация о системе" и "Службы" не оставались на обзорной панели [#447](https://gitlab.iwarma.ru/iwa/dev/console/core/-/merge_requests/447)
- Исправлено имя столбца "Имя сигнатуры" на странице список событий [#722](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/722)
- Исправлен перевод ошибки при активации лицензии онлайн [#719](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/719)
- Исправлено работа импорта правил корреляции при загрузке правила с rev ниже, чем загружено [#834](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/834)
- Исправлена генерация лейблов ассетов с неизвестным типом на карте сетевых взаимодействий [#579](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/579)
- Исправлена ошибка Jquery в виджете [#766](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/766)
- Изменена система ротации инцидентов [#857](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/857)

## [1.1.0-rc14] - 11.10.2021
### Добавлено
- Клиент сервера лицензий [#666](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/666)
- Добавлена гибкость в привилегиях коррелятора [#628](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/628)
- Убран выбор протокола соединения при работе с ARAMIF [#234](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/234)
- Исправлена работа кнопки фильтра по активам на карте сетевых взаимодействий [#692](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/692)

### Изменено
- Убран столбец "Тип" из списка правил корреляции [#676](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/676)
- Скрыт столбец Система в разделе "Список источников" [#678](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/678)
- Изменена страница списка событий [#691](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/691)
- Изменена страница настройки экспорта инцидентов [#674](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/674)
- Изменен конфиг logstash, для корректного разбора и фильтрации сообщений не "CEF" формата [#575](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/575)
- Изменен русский перевод привелегии ```can_export_journals``` с ```Может скачивать журналы```  на ```Может экспортировать журналы``` [#626](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/626)
- Изменены фильтры по умолчанию на странице списка инцидентов [#688](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/688)
- Удалена привилегия "может просматривать сетевые атаки" [#631](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/631) 
- Удалено поле  "Описание" на экране добавления подложке к карте сети [#750](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/750)
- Скрыта функцию "Скачать" статическую карту" [#759](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/759)
- Не переведенные всплывающие уведомления на странице списка Endpoint + новое уведомление при ошибке загрузке конфига [#758](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/758)
- Изменено название кнопок в таблице Endpoint [#757](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/757)
- Скрыты кнопки экспорта в CSV при отсутствии прав на просмотр хранилища [#638](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/638)
- Исправлена верстка в проверке под правило корреляции [#726](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/726)
- Исправлено взаимодействие с кнопкой "редактирование групп" на странице правила корреляции [#696](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/696)
- Исправлены ошибки локализациии при создании\редактировании правила [#724](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/724)
- Изменен функционал работы часов консоли [#764](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/764)
- При загрузке правил теперь корректно выполняется алгоритм проверки существования SID и REV [#780](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/780)


### Исправлено 
- При редактировании IP МЭ происходило дублирование Asset [#349](https://gitlab.iwarma.ru/iwa/dev/console/core/-/merge_requests/349)
- Изменение статуса инцидента изменяет его ID [#606](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/606)
- Скрыты функции по работе с уязвимостями [#602](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/602)
- Отсутствует кнопка управлять группами (пользователей в списке пользователей [#618](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/618)
- В форму редактирования endpoint добавлены поля, как в форме добавления [#679](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/679)
- Исправлены тесты [#669](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/669)
- Исправлены Ошибки при работе со справочником "Производитель" [#636](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/636)
- Изменено поведение статус актива "----" распознается как разрешенный актив" [#647](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/647)
- Исправлено "Привилегия "может просматривать активы" вызывает ошибку при входе в список активов [#693](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/693)
- Не нужная привилегия "может просматривать сетевые атаки." [#631](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/631)
- При создании Endpoint-а можно создать источник, невзирая на отсутствие привилегий [#609](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/609)
- Исправлена ошибка при редактировании источника события [#601](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/601)
- Привилегия "Может скачивать журналы" отвечает за другое.  [#626](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/626)
- При экспорте активов,формируется некорректный фаил [#600](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/600)
- "Дата окончания срока действия" пользователя не мешает ему войти в систему" [#617](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/617)
- Проблемы привелегий управления списком пользователей [#624](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/624)
- На статической карте сети для нодов раскрытых групп добавлен фон и убран не нужный значок [#661](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/661)
- Жеcткий фильтр Статуса на таблице активов [#728](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/728)
- Доступ на страницу лицензии без входа [#720](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/720)
- Конфиг Logstash для IF [#745](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/745)
- Ошибка локализации в Настройках ротации [#747](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/747)
- Странный перевод Источников событий [#721](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/721)
- Инциденты по активам Endpoint не связываются с активом Endpoint [#660](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/660)
- Не обработанная ошибка при активации лицензии онлайн [#719](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/719)
- Проблемы при установке новой лицензии [#716](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/716)
- Не локализована ошибка валидации при неверном вводе логина\пароля [#697](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/697) 
- Ошибки локализации и орфографии [#594](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/594)
- Переводы (опечатки и другие орг.моменты) [#680](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/680/)
- Ошибка копирования конфигурации endpoint [#754](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/754)
- Ошибка добавления источника логов [#261](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/261)
- Локализация ошибок при блокировке пользователя [#773](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/773)
- Локализация ошибок формы смены пароля [#817](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/817)
- Ошибка локализации ошибки на странице карты сети [#813](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/813)
- Ошибки локализации раздела Лицензия [#718](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/718)
- Ошибки локализации в списке Корреляции Часть 2 [#776] (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/776)



## [1.1.0-rc10] - 2021-08-26
### Изменено  
- Убрана кнопка Экспорт из списка активов [#671](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/671)
- Убрана колонка "Тип" из списка систем защиты и из карточки [#672](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/672)

### Исправлено
- Кнопка сохранения правила корреляции глючит [#670](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/670)

## [1.1.0-rc9] - 2021-08-23
### Исправлено
 - Добавление интерфейса управления флешками (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/634)
 - Потеря смысла в привилегиях блока "Обзорная панель:" (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/615)
 - Создание правила корреляции. Пропадает значение в "Поле" Условия (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/604)
 - Коррелятор неверно создает новые индексы (https://gitlab.iwarma.ru/iwa/dev/console/correlator/-/issues/14)
 - Коррелятор неверно создает новые индексы (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/598)
 - Редактирование настроек эндпоинта порождает новый актив в таблице активов (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/593)
 - Работа фильтров на странице Assets (https://gitlab.iwarma.ru/iwa/dev/console/console-ui-react/-/issues/7)
 - В MC остались ненужные элементы на UI в части интеграции с Endpoint (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/589)
 - Тестирование Тестовой Задачи (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/583)
 - Тестовая задача (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/582)
 - Кнопка сохранения правила корреляции глючит (https://gitlab.iwarma.ru/iwa/dev/console/correlator/-/issues/19)
 - Сделать кнопку "Сохранить на странице создания правила корреляции не активной до добавления хотя бы одного действия 
(https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/668)
 - Добавить предикат QueryString (https://gitlab.iwarma.ru/iwa/dev/console/correlator/-/issues/17)
 - Излишний код в странице авторизации (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/658)
 - Test task (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/657)
 - Проблема в получении событий с межсетевого экрана (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/655)
 - Обновить фронт для OPC DA (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/644)
 - Странное поведение правила корреляции (https://gitlab.iwarma.ru/iwa/dev/console/correlator/-/issues/15)
 - Не работают уведомления (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/640)
 - Баг при обновлении виджета "Коррелятор" [#329](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/329)
 - Удалена модель `NormalizedEvent` в приложении `logstash` [#498](https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/498)


## [1.1.0-rc8] - 2021-08-12
### Исправлено
- В Фильтрах инцидентов в "Назначен на" отображаются даже удаленные пользователи (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/639)
- Баг в консоли - не правильные поля (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/610)
- Bug in correlator rules export (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/576)
- Поиск в корреляции (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/573)
- Просмотр хранилища (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/572)
- Открытие журнала инцидентов (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/571)
- Ротация журналов событий (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/570)
- Проблема с созданием правил корреляции (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/569)
- Баги карты сетевых взаимодействий (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/558)
- При попытке зайти в инцидент с большим количеством событий, вылетает ошибка 500 (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/554)
- Доработка поля "Поиск" (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/552)
- Требуется объединение одинаковых событий коррелятором. (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/544)
- Добавить фильтрацию инцидентов (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/543)
- Разработать клиент для сервера лицензирования (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/516)
- Добавить описание в диалог помощи для поиска на странице событий (https://gitlab.iwarma.ru/iwa/dev/console/core/-/issues/492)

## 1.0.2 (20210128)

### Добавлено
- Случайный пароль для базы данных по умолчанию
- Экспорт событий
- Коррелятор
- Возможность задать действия при возникновении инцидентов
- Мультипоточность обработки событий
- Экспорт событий и инцидентов в CSV
- Возможность настройки базы данных при установке при помощи debconf
- Автодополнение фильтров
- Отображение важности и некоторых других параметров значками
- Отображение запуска сервисов через Веб интерфейс при старте
- Правила коррелятора по умолчанию
- Работа с Endpoint
- Виджет лицензии

### Изменено
- Отображение события и инцидента
- Отображение некоторых виджетов графиков изменено и улучшено
- Формат отображение дат
- Верхнее меню навигации переработано для более удобного использования
- Отключена возможность входа в admin панель
- Форма смены пароля
- Страница хранилища переработана
- Увеличен максимальный размер загружаемых файлов
- Формат CEF

### Исправлено
- Работа с базами данных при установке, удалении
- Статусы ошибок при работе с хранилищем
- Валидация некоторых полей
- Настройки логсташ
- Переводы
- Отсутствие иконки на некоторых страницах Веб интерфейса
- Расположение элементов на странице виджетов
- Размер некоторых виджетов
- Удаление вершины карты сети
- Удвоение кнопки таблицы
- Ширина колонки с иконками
- Очистка имени новой группы при создании
- Порядок старта служб
- Проксирование через nginx
- Удалены излишние привилегии
- Убраны кнопки, вызов которых невозможен из-за отсутствия привилегий
- Ошибка 500 после старта

## Изменение версии на 1.0

## 1.4 (20200730)

### Добавлено
- Карта сети
- Пользовательские карты
- Интерфейс ввода логов
- Динамический ввод логов
- Скрытие и деактивация неактивных иконок
- Обновлены переводы
- Выбор условий ротации данных

### Изменено
- Страница инцидентов

### Исправлено
- Права доступа через API
- Отображение удаленных пользователей, назначенных на какие-либо события
- Некоторые активы не отображались
- Загрузка файлов на сенсор
- Отсутствие отображения типа на странице активов
- Ошибка при входе администратором на страницу профиля
- Некоторые ошибки разбора логов

## 1.3 (20200526)

### Добавлено
- Скрипт для форматирования вывода дампа
- Новые виджеты
- Появление активов, полученных в событиях

### Изменено
- Единый стиль для таблиц
- После истечения даты срока действия пользователь - пользователь становится неактивен (невозможен вход от лица такого пользователя)
- Пользователь администратор теперь создается только при первом запуске, таким образом теперь можно удалить начального пользователя или сменить его данные, без восстановления его данных на изначальные после рестарта

### Исправлено
- Баги с активностью записей и кнопок при невыделенных группах на экране управления группами
- Баги сохранения настроек ротации
- Баг загрузки конфигурации на ARMA Industrial firewall
- Баг при изменении имени группы
- Неверный парсинг некоторых событий, получаемых через CEF
- Дата создания инцидента была некорректна


## 1.2 (20200422)

### Добавлено
- Подсказки иконок таблиц
- Уведомления
- Загрузка правил IDS на сенсоры
- Карта сети
- Раздел для хранения и скачивания данных (Хранилище)
- Виджеты инцидентов по важности и категориям
- Возможность задания временной зоны для каждого пользователя
- Ротация инцидентов и событий по расписанию и размеру

### Изменено
- Хэдер изменен на однострочный
- Улучшен виджет информации о системе и сервисах
- Улучшен механизм взаимодействия с виджетами

### Исправлено
- Автофокус на странице логина
- Некоторые переводы
- Права доступа к некоторым страницам
- Баги виджета диапазона дат
- Изменение страницы добавления пользователи при некорректно заполненных полях
- Предупреждения браузера на главной странице


## 1.1 (20200317)

### Добавлено
- Подсказки иконок таблиц
- Единый стиль диалогов
- Единый стиль и хороший вид полей выбора файла
- Экспорт/импорт данных БД
- Экспорт/импорт правил корреляции
- IPython как консоль работы с django по умолчанию
- Страница активов
- Страница сенсоров
- Перевод виджетов
- Добавлено больше информации на странице списка событий
- Добавлена возможность добавления правил корреляции для событий МЭ входа и доступа в WEB
- Добавлена валидация ввода в поле выбора диапазона дат
- Группировка событий
- Иконка для перехода в dashboard
- Отображение событий внутри инцидента
- Страница изменения прав пользователей

### Исправлено
- Ошибка добавления пользователя
- Работа debugToolbar
- Мелкие исправления и переводы
- Падение logstash
- Фильтры на странице инцидентов не всегда работали
- Баг из-за чего не создавался пользователь с верно введенными данными
- Статус инцидента некорректно менялся


## 1.0 (20200217)

### Добавлено
- Добавлен базовый проект
- Добавлено приложение с шаблоном adminlte
- Добавлена докер конфигурация для разработки
- Добавлен набор конфигов logstash для arpwatch, firewall, suricata, web-auth и web-access
- Добавлено API для приема нормализованных событий от logstash
- Добавлены страницы работы с пользователями (список, добавление, удаление, редактирование)
- Добавлена страница списка событий, с возможностью поиска и фильтрации
- Добавлена страница списка инцидентов, с возможностью поиска и фильтрации
- Добавлена страница просмотра и редактирования инцидентов
- Добавлена страница "Панель оператора" с возможностью добавления виджетов и сохранения раскладки для каждого пользователя
- Добавлена страница логина
- Добавлены страницы для ошибок 403, 404 и 500
- Добавлены виджеты "Системная информация" и "Сервисы"
- Добавлен набор прав, функции для их получения и проверки
- Добавлена модель события корреляции и базовый коррелятор
- Добавлена возможность создания правил корреляции по файлу правил Suricata
- Базовые настройки логорирования
- Базовые настройки кеширования
- Добавлен класс формы для отображения виджетов в стиле adminlte
- Добавлено поле ввода интервалов даты и времени
- Добавлено поле ввода интервалов целых чисел
- Добавлено поле ввода даты
- Добавлен плагин Datatables для единого отображения и поведения таблиц
- Добавлен конфиг для Gitlab-CI
- В режиме отладки, добавлен Debub-toolbar
- Добавлен набор контекст-процссоров для генерации меню
