""" Django settings for development debug purpose """
import os

from dotenv import load_dotenv

BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
load_dotenv(dotenv_path=os.path.join(BASE_DIR, '.env.dev'))
os.environ['LOG_PATH'] = os.environ.get('LOG_PATH', os.path.join(BASE_DIR, 'dockerlogs'))
os.environ['TEST_MODE'] = "True"

WEB_PDB_PORT = os.environ.get('WEB_PDB_PORT')

from .base import *

SITE_INFO['name'] += ' DEBUG'

PASSWORD_HASHERS = (
    'django.contrib.auth.hashers.MD5PasswordHasher',
)

CACHES["default"] = {'BACKEND': 'django.core.cache.backends.dummy.DummyCache'}

ELASTIC_URL = "http://elasticsearch:9200"
LICENSE_CLIENT_URL =  'http://license-client:8050'
# For testing purpose
LICENSE_CACHE_TIMEOUT = 30

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': os.path.join(BASE_DIR, 'db.sqlite3'),
    }
}

DEFAULT_AUTO_FIELD = 'django.db.models.AutoField'

# Security key for import/export firewall config
SECRET_KEY = os.environ.get('SECRET_KEY')
