import { Table } from 'antd';

const dataSource = [
  {
    name: 'event_first',
    description: 'Дата и время первого события в правиле',
  },
  {
    name: 'event_last',
    description: 'Дата и время последнего события в правиле',
  },
  { name: 'event_count', description: 'Количество событий в правиле' },
  {
    name: 'event_timestamp',
    description: 'Дата и время, когда правило вызвало срабатывание действия',
  },
  {
    name: 'event_severity',
    description: 'Критичность события в промежутке от 0 до 100',
  },
  { name: 'event_src_msg', description: 'Исходное сообщение события' },
  { name: 'event_protocol', description: 'Протокол события' },
  { name: 'device_vendor', description: 'Производитель устройства' },
  { name: 'device_product', description: 'Модуль устройства' },
  { name: 'device_version', description: 'Версия устройства' },
  { name: 'device_action', description: 'Действие устройства' },
  { name: 'sign_id', description: 'ID сигнатуры' },
  { name: 'sign_category', description: 'Категория сигнатуры' },
  { name: 'sign_subcategory', description: 'Подкатегория сигнатуры' },
  { name: 'sign_name', description: 'Имя сигнатуры' },
  { name: 'source_ip', description: 'IP источника' },
  { name: 'source_mac', description: 'MAC источника' },
  { name: 'source_host', description: 'Исходный хост' },
  { name: 'source_port', description: 'Порт источника' },
  { name: 'source_user', description: 'Исходный пользователь' },
  { name: 'destination_ip', description: 'IP получателя' },
  { name: 'destination_host', description: 'Целевой хост' },
  { name: 'destination_port', description: 'Порт получателя' },
  { name: 'destination_user', description: 'Целевой пользователь' },
];

const columns = [
  {
    title: 'Name',
    dataIndex: 'name',
    key: 'name',
  },
  {
    title: 'Description',
    dataIndex: 'description',
    key: 'description',
  },
];

const FieldTab = (): JSX.Element => {
  return <Table dataSource={dataSource} columns={columns} pagination={false} />;
};

export default FieldTab;
