export const environment = {
  production: false,
  localeRu: 'ru/',
  localeEn: 'en/',
  apiPrefix: 'api/',
  localhost: '/',
  localhostDev: 'http://localhost:9090/',
  // localhostDev: 'http://172.16.230.2/', // Пока оставить, это апи к машине для работы с Госсопкой
  endPoints: {
    assets: {
      asset: 'asset/',
      elements: 'assets/elements/',
      osList: 'assets/os/',
      authorize: 'assets/elements/authorize_assets/',
      groups: 'assets/groups/',
      manufacturer: 'assets/manufacturers/',
      exportsCSV: 'assets/elements/csv_export/',
    },
    accounts: {
      account: 'account/',
      users: 'users/',
      currentUser: 'users/whoami/',
    },
    incidents: {
      incident: 'incidents/',
      effects: 'incidents/effects/',
      recommendations: 'incidents/recommendations/',
      categories: 'incidents/category/',
    },
    sensors: {
      sensors: 'sensors/sensors/',
      connectionCheck: 'sensors/connection_check/',
      info: 'sensors/sensor/info/',
      aif: 'sensors/aif/',
    },
    logout: 'logout/',
    login: 'login/',
    store: 'store/',
    endpoint: 'endpoint/',
    product: {
      version: 'product/version/',
    },
    license: {
      info: 'license/',
      activateAuto: 'license/auto/',
      activateManual: 'license/manual/',
      token: 'license/token/',
    },
  },
  devices: {
    list: 'devices/',
    firewall: 'firewall/',
    firewallStatus: 'status/',
    firewallRuleFields: 'rule_fields/',
    endpoint: 'endpoint/',
    sensor: 'sensor/',
    downloadConfig: 'download_config/',
    uploadConfig: 'upload_config/',
    uploadRules: 'upload_ids_rulesets/',
    groups: 'groups/',
  },
  eventsJournal: {
    elk: 'elastic/indices/',
    count: 'count/',
    settings: 'settings/',
    aggregated: 'settings/aggregated-2021.12.07?max_result_window=100000',
  },
  correlations: {
    elk: 'elastic/query/',
    aggregated: 'aggregated-2021.10.20?from=0&size=10&track_total_hits=true',
    allAggregated:
      'aggregated-*?from=0&size=10&sort=desc&track_total_hits=true',
    logstash: {
      data: 'logstash/rule/data/',
      groups: 'logstash/group/',
    },
    rules: 'correlation/rules/',
    groups: 'correlation/groups/',
    rulesImport: '/correlation/rules/import_rules/',
    rulesExport: '/correlation/rules/json_export/',
  },
  settings: {
    auth: 'settings/auth/',
    tls: 'settings/tls/',
  },
  platformName: 'MANAGEMENT CONSOLE',
  exportsCSV: {
    incidents: 'incidents/csv_export/',
    assets: 'asset/elements/csv_export/',
    devices: 'devices/csv_export/',
  },
};
