import { SafetyCertificateOutlined, TagOutlined } from '@ant-design/icons';
import { useDevicesMessages } from './i18n';

export const useDevicesLeftSideBarContents = (): {
  title: string;
  path?: string;
  key: number;
  editGroup?: boolean;
  icon?: JSX.Element;
  disabled?: boolean;
}[] => {
  const { leftSideBar } = useDevicesMessages();
  return [
    {
      title: leftSideBar.title,
      key: 0,
    },
    {
      title: leftSideBar.eventSources,
      path: '/security_systems',
      icon: <SafetyCertificateOutlined />,
      key: 1,
    },
    {
      title: leftSideBar.tags,
      path: '/security_systems/group',
      icon: <TagOutlined />,
      key: 2,
    },
  ];
};
