import { Tabs } from 'antd';
import './EventExportSettings.scss';
import { TableOPCUA } from './TableOPCUA';
import { TableSyslog } from './TableSyslog';

const { TabPane } = Tabs;

export const EventExportSettings = (): JSX.Element => {
  return (
    <>
      <h2 className="primaryHeadlines">Event export settings</h2>
      <Tabs type="card" defaultActiveKey="1">
        <TabPane tab="OPCUA" key="1">
          <TableOPCUA />
        </TabPane>
        <TabPane tab="Syslog" key="2">
          <TableSyslog />
        </TabPane>
      </Tabs>
    </>
  );
};
