// Antd
import EditAndSaveButton from './EditAndSaveButton';

// Hooks
import { observer } from 'mobx-react-lite';

// Types
import { FormInstance } from 'antd/lib/form';
import { FC } from 'react';
import { TIncidentCardInfoMessages } from '../types';

export const DrawerFooter: FC<{
  form: FormInstance;
  translation: Omit<TIncidentCardInfoMessages, 'formItem'>;
}> = observer(({ form, translation }) => {
  return (
    <div
      style={{
        position: 'relative',
        height: 35,
      }}
    >
      <div style={{ position: 'absolute', right: 15 }}>
        <EditAndSaveButton form={form} translation={translation} />
      </div>
    </div>
  );
});
